Bug 29526 - Add 'Immediately delete holds history' button to patron privacy tab in opac
Summary: Add 'Immediately delete holds history' button to patron privacy tab in opac
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 29525
Blocks: 29843
  Show dependency treegraph
 
Reported: 2021-11-19 01:17 UTC by Nick Clemens
Modified: 2022-02-11 13:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29526: Add a way for patrons to delete their hold history (10.10 KB, patch)
2022-01-03 15:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29526: (follow-up) Put delete buttons in HTML table (5.57 KB, patch)
2022-01-03 18:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29526: (follow-up) change wording on opac-holdshistory.tt when table is empty (1.08 KB, patch)
2022-01-03 23:03 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29526: Add a way for patrons to delete their hold history (10.16 KB, patch)
2022-01-05 14:46 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29526: (follow-up) Put delete buttons in HTML table (5.63 KB, patch)
2022-01-05 14:46 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29526: (follow-up) change wording on opac-holdshistory.tt when table is empty (1.14 KB, patch)
2022-01-05 14:46 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29526: Add a way for patrons to delete their hold history (10.22 KB, patch)
2022-02-08 08:17 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29526: (follow-up) Put delete buttons in HTML table (5.70 KB, patch)
2022-02-08 08:17 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29526: (follow-up) change wording on opac-holdshistory.tt when table is empty (1.21 KB, patch)
2022-02-08 08:17 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-11-19 01:17:05 UTC
Currently patrons have an option 'Immediate deletion' to remove/anonymise all checkout history.

We should add a new button for immediately deleting holds history and rename the other to indicate it affects only checkout history
Comment 1 George Williams (NEKLS) 2021-11-19 14:07:49 UTC
+1
Comment 2 Tomás Cohen Arazi 2022-01-03 15:07:50 UTC
Created attachment 128967 [details] [review]
Bug 29526: Add a way for patrons to delete their hold history

The same way we have a button to immediately delete the checkouts history in the OPAC, we should have a similar option for the holds history.

This patch implements that.

To test:
1. Have a patron with some old checkouts and old holds.
2. Have OPACPrivacy, OPACHoldsHistory and opacreadinghistory enabled.
3. Notice in the OPAC the patron has some old checkouts and holds.
4. Use the Privacy tab to clean checkouts
=> SUCCESS: They are still cleaned as before this patch
5. Try to clean the old holds
=> SUCCESS: They are cleaned!
6. Add some old checkouts and holds
7. Use the new 'All' button
=> SUCCESS: All cleaned
8. Sign off :-D
Comment 3 Tomás Cohen Arazi 2022-01-03 15:09:02 UTC
This works correctly. I have doubts about the buttons on the page and the layout. Any ideas are welcome!
Comment 4 Barbara Johnson 2022-01-03 17:44:49 UTC
All the functionality of the buttons worked correctly.  I think the layout of the buttons looks fine.

Here are my observations from testing:

1. I had to enable the AnonymousPatron sys pref in order to make the test plan work.

2. I think the first sentence under the 'Immediate deletion' heading should be changed. The word 'your' is not needed and makes the sentence read awkwardly.  Also I would change 'here' to 'below' since there are now three button options. I think this text would be more clear:

Whatever privacy rule you choose, you can delete all your checkout and hold history immediately by clicking below.

3. Once you have cleared your holds history from the privacy tab and then go to the holds history tab it states that "You have never placed a hold from this library."  That is not really true - the holds history either has never been kept or has been cleared.  The Checkout history tab displays 'No data available in table' when there is no checkout history.  Maybe the text on the Holds history tab should be the same or similar.

4.  The pre-patch behavior with the single 'Immediate deletion' button includes the following text - Please note, the last person to return an item is tracked for the management of items returned damaged.  This still needs to be included so that the patron is aware of it.
Comment 5 Lucas Gass 2022-01-03 18:09:31 UTC
Created attachment 128974 [details] [review]
Bug 29526: (follow-up) Put delete buttons in HTML table

Current status: Needs Signoff
Comment 6 Lucas Gass 2022-01-03 23:03:16 UTC
Created attachment 128982 [details] [review]
Bug 29526: (follow-up) change wording on opac-holdshistory.tt when table is empty
Comment 7 Lucas Gass 2022-01-03 23:06:38 UTC
Thanks for testing Barbara!

> 2. I think the first sentence under the 'Immediate deletion' heading should
> be changed. The word 'your' is not needed and makes the sentence read
> awkwardly.  Also I would change 'here' to 'below' since there are now three
> button options. I think this text would be more clear:

I addressed this in a follow-up, the wording should be clearer now.

> 3. Once you have cleared your holds history from the privacy tab and then go
> to the holds history tab it states that "You have never placed a hold from
> this library."  That is not really true - the holds history either has never
> been kept or has been cleared.  The Checkout history tab displays 'No data
> available in table' when there is no checkout history.  Maybe the text on
> the Holds history tab should be the same or similar.

I provided a follow-up to change the text on opac-holdshistory.tt to be more truthful. It should say 'No data available' now if you have no holds history.


> 4.  The pre-patch behavior with the single 'Immediate deletion' button
> includes the following text - Please note, the last person to return an item
> is tracked for the management of items returned damaged.  This still needs
> to be included so that the patron is aware of it.
This text has not been changed but in order to see it the StoreLastBorrower system preference must be turned on.
Comment 8 Barbara Johnson 2022-01-03 23:19:05 UTC
I will test again tomorrow.  One other thing I noticed - The tab on the left side with all the account options displays 'Your holds history.' But the buttons on the privacy page display as 'Your hold history.'  One is plural and one is singular - should they match?
Comment 9 PTFS Europe Sandboxes 2022-01-05 14:46:23 UTC
Created attachment 129027 [details] [review]
Bug 29526: Add a way for patrons to delete their hold history

The same way we have a button to immediately delete the checkouts history in the OPAC, we should have a similar option for the holds history.

This patch implements that.

To test:
1. Have a patron with some old checkouts and old holds.
2. Have OPACPrivacy, OPACHoldsHistory and opacreadinghistory enabled.
3. Notice in the OPAC the patron has some old checkouts and holds.
4. Use the Privacy tab to clean checkouts
=> SUCCESS: They are still cleaned as before this patch
5. Try to clean the old holds
=> SUCCESS: They are cleaned!
6. Add some old checkouts and holds
7. Use the new 'All' button
=> SUCCESS: All cleaned
8. Sign off :-D

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 10 PTFS Europe Sandboxes 2022-01-05 14:46:27 UTC
Created attachment 129028 [details] [review]
Bug 29526: (follow-up) Put delete buttons in HTML table

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 11 PTFS Europe Sandboxes 2022-01-05 14:46:31 UTC
Created attachment 129029 [details] [review]
Bug 29526: (follow-up) change wording on opac-holdshistory.tt when table is empty

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 12 Barbara Johnson 2022-01-05 14:49:36 UTC
Everything worked, the wording has improved and the layout looks good.
Comment 13 Martin Renvoize 2022-02-08 08:17:17 UTC
Created attachment 130259 [details] [review]
Bug 29526: Add a way for patrons to delete their hold history

The same way we have a button to immediately delete the checkouts history in the OPAC, we should have a similar option for the holds history.

This patch implements that.

To test:
1. Have a patron with some old checkouts and old holds.
2. Have OPACPrivacy, OPACHoldsHistory and opacreadinghistory enabled.
3. Notice in the OPAC the patron has some old checkouts and holds.
4. Use the Privacy tab to clean checkouts
=> SUCCESS: They are still cleaned as before this patch
5. Try to clean the old holds
=> SUCCESS: They are cleaned!
6. Add some old checkouts and holds
7. Use the new 'All' button
=> SUCCESS: All cleaned
8. Sign off :-D

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2022-02-08 08:17:21 UTC
Created attachment 130260 [details] [review]
Bug 29526: (follow-up) Put delete buttons in HTML table

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2022-02-08 08:17:24 UTC
Created attachment 130261 [details] [review]
Bug 29526: (follow-up) change wording on opac-holdshistory.tt when table is empty

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2022-02-08 08:18:00 UTC
Great work, all works as expected. QA script is happy.

Passing QA
Comment 17 Fridolin Somers 2022-02-11 00:37:45 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄